# Makefile : Builds the pt application
#
# Usage:     NMAKE option (build pt)
#    or:     NMAKE clean  (erase all compiled files)
#
# option:    DEBUG=[0|1]  (DEBUG not defined is equivalent to DEBUG=0)


# This is a part of the Microsoft Foundation Classes C++ library.
# Copyright (C) 1992 Microsoft Corporation
# All rights reserved.
#
# This source code is only intended as a supplement to the
# Microsoft Foundation Classes Reference and Microsoft
# QuickHelp documentation provided with the library.
# See these sources for detailed information regarding the
# Microsoft Foundation Classes product.
#

CPPFLAGS=  /DWINVER=0x0300 /AM /W3 /Zp /GA /GEs /G2
LINKFLAGS=/NOD /ONERROR:NOEXE

!if "$(DEBUG)"=="1"
CPPFLAGS=/D_DEBUG $(CPPFLAGS) /Od /Zi /f 
LINKFLAGS=$(LINKFLAGS) /COD
LIBS=mafxcwd libw mlibcew SHELL COMMDLG
!else
CPPFLAGS=$(CPPFLAGS) /Oselg /Gs 
LINKFLAGS=$(LINKFLAGS)  
LIBS=mafxcw libw mlibcew SHELL COMMDLG
!endif

pt.exe:     pt.obj pt.def pt.res 
    link $(LINKFLAGS) pt, pt, NUL, $(LIBS),pt.def;
    rc -30 /t pt.res

pt.res:  resource.h dialogs.dlg pt.rc pt.ico 

pt.obj:  pt.cpp pt.h resource.h

clean:
    -erase pt.exe
    -erase pt.res
    -erase pt.obj
